<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Assemble Quarto knitr table chunk — tbl_chunk • rdb.report</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Assemble Quarto knitr table chunk — tbl_chunk"><meta name="description" content="Assembles a Quarto knitr table chunk that outputs a pre-generated gt table."><meta property="og:description" content="Assembles a Quarto knitr table chunk that outputs a pre-generated gt table."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb.report</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9016</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb-report.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb.report/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Assemble Quarto knitr table chunk</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb.report/blob/HEAD/R/rdb.report.gen.R" class="external-link"><code>R/rdb.report.gen.R</code></a></small>
      <div class="d-none name"><code>tbl_chunk.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Assembles a <a href="https://quarto.org/docs/authoring/tables.html#computations" class="external-link">Quarto knitr table chunk</a> that outputs a <a href="ls_objs.html">pre-generated</a> gt table.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">tbl_chunk</span><span class="op">(</span><span class="va">id</span>, tbl_cap <span class="op">=</span> <span class="cn">NULL</span>, layout_class <span class="op">=</span> <span class="st">"page"</span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-id">id<a class="anchor" aria-label="anchor" href="#arg-id"></a></dt>
<dd><p>Table identifier. A character scalar.</p></dd>


<dt id="arg-tbl-cap">tbl_cap<a class="anchor" aria-label="anchor" href="#arg-tbl-cap"></a></dt>
<dd><p>Table caption. Set as Quarto's <a href="https://quarto.org/docs/reference/cells/cells-knitr.html#tables" class="external-link"><code>tbl-cap</code></a> code chunk option. Either <code>NULL</code>
to omit or a character vector.</p></dd>


<dt id="arg-layout-class">layout_class<a class="anchor" aria-label="anchor" href="#arg-layout-class"></a></dt>
<dd><p>Quarto <a href="https://quarto.org/docs/authoring/article-layout.html#available-columns" class="external-link">article layout class</a> for the table output. Set as
Quarto's <a href="https://quarto.org/docs/reference/cells/cells-knitr.html#page-columns" class="external-link"><code>tbl-column</code></a> code chunk option. One of</p><ul><li><p><code>"body"</code></p></li>
<li><p><code>"body-outset"</code></p></li>
<li><p><code>"body-outset-left"</code></p></li>
<li><p><code>"body-outset-right"</code></p></li>
<li><p><code>"page"</code></p></li>
<li><p><code>"page-left"</code></p></li>
<li><p><code>"page-right"</code></p></li>
<li><p><code>"page-inset"</code></p></li>
<li><p><code>"page-inset-left"</code></p></li>
<li><p><code>"page-inset-right"</code></p></li>
<li><p><code>"screen"</code></p></li>
<li><p><code>"screen-left"</code></p></li>
<li><p><code>"screen-right"</code></p></li>
<li><p><code>"screen-inset"</code></p></li>
<li><p><code>"screen-inset-shaded"</code></p></li>
<li><p><code>"screen-inset-left"</code></p></li>
<li><p><code>"screen-inset-right"</code></p></li>
<li><p><code>"margin"</code></p></li>
</ul></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A character scalar.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="fu">rdb.report</span><span class="fu">:::</span><span class="fu">tbl_chunk</span><span class="op">(</span>id <span class="op">=</span> <span class="st">"rfrnds_most_recent_CH"</span>,</span></span>
<span class="r-in"><span>                       tbl_cap <span class="op">=</span> <span class="st">"Most recent referendums in Switzerland"</span>,</span></span>
<span class="r-in"><span>                       layout_class <span class="op">=</span> <span class="st">"margin"</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> ```{r}</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> #| label: tbl-rfrnds_most_recent_CH</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> #| tbl-cap:</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> #|   - Most recent referendums in Switzerland</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> #| tbl-column: margin</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> rdb.report::insert_gt(id = 'rfrnds_most_recent_CH')</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> ```</span>
<span class="r-out co"><span class="r-pr">#&gt;</span> </span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

